This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit 6dc742491ea74bee0b1d1651ccc8d440b1d57c49
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 14:03:12 2015 +0200
Run second-stage for foreign chroots
Change-Id: I4b00aae017377562a3d50d2ce4d17094eb93d8f0
---
config/bench/fs/makefs.sh | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 2e87bc0..8e00c91 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -68,6 +68,12 @@ function genrootfs {
${foreign:-} \
"${suite}" "${outdir}" \
http://snapshot.debian.org/archive/debian/${stamp}
+
+ #This depends on the relevant kernel magic being in place to execute
+ #arm/aarch64 code on qemu, and the relevant qemu being installed
+ if test x"${foreign:-}" != x; then
+ sudo /usr/sbin/debootstrap --second-stage --second-stage-target="${outdir}"
+ fi
}
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit 5e197dd89e4482982d4d9e302e2bbe150fca2b0a
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 13:41:54 2015 +0200
Add check that HEAD maps to something meaningful upstream
Change-Id: I2b82e9698e2e0fbc06990ca1d7608ecd3b0e93da
---
config/bench/fs/makefs.sh | 10 ++++++++++
1 file changed, 10 insertions(+)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 2c27503..2e87bc0 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -3,6 +3,16 @@ set -e
set -u
set -o pipefail
+#Check that we are in a clean state w.r.t. source control
+#Required to guarantee that the hash is valid
+if git status -sb --porcelain | head -n1 | grep -q '\]$'; then
+ echo "Committed state out of sync with upstream" >&2
+ exit 1
+elif test x"`git status -sb --porcelain | sed 1d`" != x; then
+ echo "Repository has local changes" >&2
+ exit 1
+fi
+
#All of these variables MUST be defined and non-empty
export stamp=20150607T041354Z
export suite=jessie
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/fs
in repository toolchain/abe.
discards 81667ca Add inotify-tools to the default package set
discards 38818f9 Use full paths for tarballs
discards bb8b862 Allow user to override 'local changes' check
discards e5372c3 Allow selection of what to produce
discards 637ead6 Add some comments
discards d8e109e Run second-stage for foreign chroots
discards bff8b87 Add check that HEAD maps to something meaningful upstream
discards f7327ee Introduce script to build filesystems
adds 1a9237c Reduce target-session to minimal patches
adds 62eed5d Fix sed rune to update sources.conf
adds 5ee8ea0 Fix addition of localhosts to known_hosts
adds d50572c Generate onetime key at default location
adds 40e644e Put dev-private public host key into known_hosts
new 8abac7b Introduce script to build filesystems
new 5e197dd Add check that HEAD maps to something meaningful upstream
new 6dc7424 Run second-stage for foreign chroots
new 2237166 Add some comments
new fe8fe67 Allow selection of what to produce
new 8290e58 Allow user to override 'local changes' check
new f5e0daf Use full paths for tarballs
new 97b20f3 Add inotify-tools to the default package set
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (81667ca)
\
N -- N -- N refs/heads/bernie/fs (97b20f3)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 8 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
config/bench/lava/host-session | 24 ++++++++++++----------
...target-session.yaml => target-session-kvm.yaml} | 4 +---
config/bench/lava/target-session.yaml | 5 -----
3 files changed, 14 insertions(+), 19 deletions(-)
copy config/bench/lava/{target-session.yaml => target-session-kvm.yaml} (88%)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking
in repository toolchain/abe.
commit 40e644e33d473ab8fa87ff08a17dd07d63cf3fa3
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Thu Jul 30 14:14:29 2015 +0200
Put dev-private public host key into known_hosts
Will need updating from time to time, but will fail early and
noisily, so that's OK.
Change-Id: I64540ed54ecd820f57deb634305f6f8f0d1631bc
---
config/bench/lava/host-session | 3 +++
1 file changed, 3 insertions(+)
diff --git a/config/bench/lava/host-session b/config/bench/lava/host-session
index 4eead6a..10e9d0b 100755
--- a/config/bench/lava/host-session
+++ b/config/bench/lava/host-session
@@ -64,6 +64,9 @@ cat ~/.ssh/id_rsa.pub >> ~/.ssh/authorized_keys
echo -n 'localhost ' >> ~/.ssh/known_hosts
cat /etc/ssh/ssh_host_ecdsa_key.pub >> ~/.ssh/known_hosts
+#Also need to be able to ssh to dev-private
+echo 'dev-private.git.linaro.org ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyN [...]
+
#Generate config file for each target in multinode job
lava-network broadcast eth0
lava-network collect eth0
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/benchmarking
in repository toolchain/abe.
discards fced0d6 Generate onetime key at default location
discards 04e55d7 Fix addition of localhosts to known_hosts
discards ba4bcbb Fix sed rune to update sources.conf
new 62eed5d Fix sed rune to update sources.conf
new 5ee8ea0 Fix addition of localhosts to known_hosts
new d50572c Generate onetime key at default location
new 40e644e Put dev-private public host key into known_hosts
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (fced0d6)
\
N -- N -- N refs/heads/bernie/benchmarking (40e644e)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 4 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
config/bench/lava/host-session | 5 ++++-
1 file changed, 4 insertions(+), 1 deletion(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking
in repository toolchain/abe.
commit d50572c59d7c03a43e4f83d684ec20f1fa616623
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Thu Jul 30 12:30:29 2015 +0200
Generate onetime key at default location
Makes it easy for git to use it for checkouts - otherwise we
have to create an ssh config entry for each server.
Change-Id: Ieb1fa41a012e4119ee7dc5a87250372d94382f16
---
config/bench/lava/host-session | 13 +++++++------
1 file changed, 7 insertions(+), 6 deletions(-)
diff --git a/config/bench/lava/host-session b/config/bench/lava/host-session
index 63bf4ed..4eead6a 100755
--- a/config/bench/lava/host-session
+++ b/config/bench/lava/host-session
@@ -49,17 +49,18 @@ ln /usr/share/doc/git/contrib/workdir/git-new-workdir /usr/local/bin
chmod 755 /usr/local/bin/git-new-workdir
#Generate one-time key
-mkdir ~/data || exit 1
-if ! ssh-keygen -P '' -f ~/data/onetime > /dev/null < /dev/null; then
- rm -rf ~/data
+if ! ssh-keygen -P '' -f ~/.ssh/id_rsa > /dev/null < /dev/null; then
exit 1
fi
eval `ssh-agent`
-ssh-add ~/data/onetime
+ssh-add ~/.ssh/id_rsa
+
+#Create directory for communication with other hosts
+mkdir ~/data || exit 1
#Need to be able to ssh to self to get local sources
#Can reuse the onetime key for this
-cat ~/data/onetime.pub >> ~/.ssh/authorized_keys
+cat ~/.ssh/id_rsa.pub >> ~/.ssh/authorized_keys
echo -n 'localhost ' >> ~/.ssh/known_hosts
cat /etc/ssh/ssh_host_ecdsa_key.pub >> ~/.ssh/known_hosts
@@ -88,7 +89,7 @@ for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | awk [...]
#Check that target is accessible, add it to our known_hosts,
#add our one-time key to its authorized_keys
- if ! cat ~/data/onetime.pub | SSH_AUTH_SOCK=~/data/socket ssh -o StrictHostKeyCh [...]
+ if ! cat ~/.ssh/id_rsa.pub | SSH_AUTH_SOCK=~/data/socket ssh -o StrictHostKeyChe [...]
echo "Could not access target ${target_ip} (${lava_name})" >&2
exit 1
fi
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking
in repository toolchain/abe.
commit 62eed5d0606082c4caff30ea908ec8ec5854edd9
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Thu Jul 30 12:20:41 2015 +0200
Fix sed rune to update sources.conf
Match ${benchmark}.git, include ${benchmark} in the output,
and remove a redundant space.
Change-Id: Ie45f04111eeb02ec9572969fbffe16ec03478374
---
config/bench/lava/host-session | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/config/bench/lava/host-session b/config/bench/lava/host-session
index e443445..dd332cc 100755
--- a/config/bench/lava/host-session
+++ b/config/bench/lava/host-session
@@ -80,7 +80,7 @@ done
#Best practice would be to use abe to do this, but I hope this is temporary
SSH_AUTH_SOCK=~/data/socket git clone "`grep ${benchmark} ${ABE_DIR}/config/source [...]
#An alternative to the following would be to pass ${benchmark}=ssh://... to abe.sh
-sed -i "s#^\\(${benchmark}[[:blank:]]\\+\\).*#\\1 ssh://localhost/~/benchsrc/#" "$ [...]
+sed -i "s#^\\(${benchmark}\\.git[[:blank:]]\\+\\).*#\\1ssh://localhost/~/benchsrc/ [...]
target_names=()
for lava_name in `lava-group | grep -v '[[:blank:]]*host$' | awk '{print $1}'`; do
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking
in repository toolchain/abe.
commit 5ee8ea0ee753d31c0c80d84ae9f1ce49d0b2d410
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Thu Jul 30 12:21:57 2015 +0200
Fix addition of localhosts to known_hosts
If we skip host key authentication for localhost, it doesn't get
added to known_hosts. This appeared to be working because all
testing to date was with fakebench, and the substitution in
sources.conf was broken, so abe was in fact getting fakebench from
git.l.o.
Change-Id: I8e850f43e938dd940b02380f6a2d22005828b92e
---
config/bench/lava/host-session | 6 ++----
1 file changed, 2 insertions(+), 4 deletions(-)
diff --git a/config/bench/lava/host-session b/config/bench/lava/host-session
index dd332cc..63bf4ed 100755
--- a/config/bench/lava/host-session
+++ b/config/bench/lava/host-session
@@ -60,10 +60,8 @@ ssh-add ~/data/onetime
#Need to be able to ssh to self to get local sources
#Can reuse the onetime key for this
cat ~/data/onetime.pub >> ~/.ssh/authorized_keys
-if ! ssh -o NoHostAuthenticationForLocalhost=yes localhost true; then
- echo "Failed to ssh to self" >&2
- exit 1
-fi
+echo -n 'localhost ' >> ~/.ssh/known_hosts
+cat /etc/ssh/ssh_host_ecdsa_key.pub >> ~/.ssh/known_hosts
#Generate config file for each target in multinode job
lava-network broadcast eth0
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from 17af35c * include/bits/regex_automaton.h (_State_base, _State<>): R [...]
new 436dc21 2015-07-30 Richard Biener <rguenther(a)suse.de>
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/ChangeLog | 7 +++
gcc/genmatch.c | 175 +++++++++++++++++++++------------------------------------
2 files changed, 70 insertions(+), 112 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from 43d8404 2015-07-30 Paolo Carlini <paolo.carlini(a)oracle.com>
new 17af35c * include/bits/regex_automaton.h (_State_base, _State<>): R [...]
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
libstdc++-v3/ChangeLog | 15 +++++
libstdc++-v3/include/bits/regex_automaton.h | 87 +++++++++++++++++++++++----
libstdc++-v3/include/bits/regex_automaton.tcc | 18 ++----
libstdc++-v3/include/bits/regex_executor.h | 2 +-
libstdc++-v3/include/bits/regex_executor.tcc | 8 +--
libstdc++-v3/include/std/regex | 1 +
6 files changed, 103 insertions(+), 28 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.